LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 05-26-2005, 12:36 AM   #61
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34

Well I tried a straight "urpmi kopete" command and it failed:

[root@localhost stan]# urpmi kopete
Can't locate URPM.pm in @INC (@INC contains: /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
Compilation failed in require at /usr/sbin/urpmi line 22.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 22.
[root@localhost stan]#

d-1




Quote:
Originally posted by dolphans1
I removed the 0.9.3 version and installed the 10.0 version. I just thought I would try something different since no one was responding and I hit a deadend wall. Someone sent me an email saying that kopete was just updated and all I needed to do was just urpmi the new version of it. I have not tried that yet but will.

d-1
 
Old 05-26-2005, 12:51 AM   #62
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34
I removed 10.0 and tried to reinstall kopete-0.9.2 and ran ./configure, make and make install, and everything looks like it went well, but when I try to run kopete I get the following message like I did before and listed below.



Quote:
[root@localhost kopete-0.9.2]# kopete
bash: kopete: command not found
[root@localhost kopete-0.9.2]#
d-1




Quote:
Originally posted by dolphans1
Well I tried a straight "urpmi kopete" command and it failed:

[root@localhost stan]# urpmi kopete
Can't locate URPM.pm in @INC (@INC contains: /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
Compilation failed in require at /usr/sbin/urpmi line 22.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 22.
[root@localhost stan]#

d-1
 
Old 05-26-2005, 02:03 AM   #63
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
Well it looks like kopete has been installed, but he have to find where.
Hmmm...
Iīll post back. please wait.
 
Old 05-26-2005, 02:40 AM   #64
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
I removed the current version of kopete which i had and was successfully able to install 10.1. The latest rpm which i could find was built on may 22 and could not have possibly included the patch. You could ask the person who mailed you and asked you to download the update, the url of the site which he says hosts the latest version and can try downloading manually.

I am sorry, I have searched a lot and couldnīt find rpms, I also dont know why there is an error in the french documentation for you. Itīd be good to be a bit patient and wait for rpms to come out. Till then you can use gaim or amsn. Iīll monitor the situation, and if i find the rpms, iīll post the link here.
 
Old 05-26-2005, 04:32 AM   #65
tkedwards
Senior Member
 
Registered: Aug 2004
Location: Munich, Germany
Distribution: Opensuse 11.2
Posts: 1,549

Rep: Reputation: 52
Good news - Mandriva has updated the kopete RPM see:
http://www.mandriva.com/security/adv...=MDKA-2005:028

You'll usually find that you have to wait a few days for non-security updates like this from them as they put their priority on security problems.

If you're still using 10.0 then I hate to say it but you might have to upgrade to 10.2 and then run Mandrake Update (although try the 10.2 kopete rpm first you can get it directly from here http://mirror.pacific.net.au/linux/M.../main_updates/).

Unfortunately this is the way it goes with the freebie distros like MDV - they have 18-month support cycles and you really need to upgrade at every 6 month release to keep up with the latest software.
 
Old 05-26-2005, 11:15 AM   #66
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34
If I type "ls -a" I see all my installed packages and files but no where do I see kopete. I know I extracted it to /home/stan/Documents/kopete/kopete and ran commands form there, but I still can't open it or run it.

d-1

Quote:
Originally posted by abattoir
I removed the current version of kopete which i had and was successfully able to install 10.1. The latest rpm which i could find was built on may 22 and could not have possibly included the patch. You could ask the person who mailed you and asked you to download the update, the url of the site which he says hosts the latest version and can try downloading manually.

I am sorry, I have searched a lot and couldnīt find rpms, I also dont know why there is an error in the french documentation for you. Itīd be good to be a bit patient and wait for rpms to come out. Till then you can use gaim or amsn. Iīll monitor the situation, and if i find the rpms, iīll post the link here.
 
Old 05-26-2005, 11:38 AM   #67
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34
If I try to run a urpmi kopete command I get the following error, anyone know why?

[root@localhost stan]# urpmi kopete
Can't locate URPM.pm in @INC (@INC contains: /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
Compilation failed in require at /usr/sbin/urpmi line 22.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 22.
[root@localhost stan]#

Even if I manually download the RPM for kopete that you recommend and try to install, I still can't, it wont let me install it I presume it is crashing because the hour glass disappears and the install never runs. Something else I noticed, I can't even open up the Mandrake Control Center.

d-1




Quote:
Originally posted by tkedwards
Good news - Mandriva has updated the kopete RPM see:
http://www.mandriva.com/security/adv...=MDKA-2005:028

You'll usually find that you have to wait a few days for non-security updates like this from them as they put their priority on security problems.

If you're still using 10.0 then I hate to say it but you might have to upgrade to 10.2 and then run Mandrake Update (although try the 10.2 kopete rpm first you can get it directly from here http://mirror.pacific.net.au/linux/M.../main_updates/).

Unfortunately this is the way it goes with the freebie distros like MDV - they have 18-month support cycles and you really need to upgrade at every 6 month release to keep up with the latest software.

Last edited by dolphans1; 05-26-2005 at 11:41 AM.
 
Old 05-26-2005, 12:13 PM   #68
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
You probably cant install the rpm because the kopete version you are trying to install was built for Mandrake 10.2 and not 10.1. Regarding the urpmi problem, does it happen only with kopete or with any urpmi command?
 
Old 05-26-2005, 01:01 PM   #69
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34
Just with Kopete....

d-1



Quote:
Originally posted by abattoir
You probably cant install the rpm because the kopete version you are trying to install was built for Mandrake 10.2 and not 10.1. Regarding the urpmi problem, does it happen only with kopete or with any urpmi command?
 
Old 05-27-2005, 05:44 PM   #70
nickg78
LQ Newbie
 
Registered: Dec 2004
Location: Athens, Greece
Distribution: Mandriva LE 2005, SuSE 9.2 Pro
Posts: 4

Rep: Reputation: 0
I had the same problem with Kopete till a few minutes ago.

Finally, the problem was fixed with only 2 mouse clicks no need for compilation.

After checking Mandrake Update I found a new version of Kopete available, installed it, and yes... now it works fine and it connects to MSN with no problems.

Last edited by nickg78; 05-27-2005 at 06:00 PM.
 
Old 05-27-2005, 10:23 PM   #71
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
Yes, unfortunately the update is only for LE 2005, and he runs 10.1.
 
Old 05-27-2005, 11:16 PM   #72
abrooks29
Member
 
Registered: May 2005
Location: Tennessee USA
Distribution: CentOS/Solaris(sparc)/Mandriva
Posts: 43

Rep: Reputation: 15
According to a post on Mandriva's forum, updated kdenetwork rpms for 10.1 are expected early next week. Might be best to hang tight and wait for them.
 
Old 05-28-2005, 12:53 AM   #73
dolphans1
Senior Member
 
Registered: Jun 2003
Location: LoneStar
Distribution: Mandriva & Ubuntu
Posts: 1,040

Original Poster
Rep: Reputation: 34
abattoir,

All the messing around with kopete has left be unable to do any urpmi updates and I can't open the mandrake control center. If I try and do an update using urpmi I get an error message. I believe it started with me deleting the 10.o kopete and trying to do a kopete install using the urpmi command.

Below is the error message I am getting, what can I do to fix it?

[QUOTE] [root@localhost stan]# urpmi libjpeg-devel
Can't locate URPM.pm in @INC (@INC contains: /usr/lib/perl5/5.8.6/i386-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i386-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.6/i386-linux/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.5/urpm.pm line 16.
Compilation failed in require at /usr/sbin/urpmi line 22.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 22.
[root@localhost stan]#

d-1




Quote:
Originally posted by abattoir
Yes, unfortunately the update is only for LE 2005, and he runs 10.1.
 
Old 05-28-2005, 01:48 AM   #74
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
Quote:
I believe it started with me deleting the 10.o kopete and trying to do a kopete install using the urpmi command.
How did you install 10.0? I thought make did not work.
Regarding MCC, try issuing the command through konsole and post what the error message is.
For urpmi, maybe you should reinstall it. Iīll post back more info on that.
 
Old 05-28-2005, 01:51 AM   #75
abattoir
Member
 
Registered: Feb 2005
Distribution: Kubuntu 6.10
Posts: 313

Rep: Reputation: 30
I just saw your other post. To run MCC from console just type
Code:
mcc
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Kopete not connecting to MSN Messenger Hubmasterflex Linux - Software 5 03-01-2009 04:03 AM
Kopete can login to MSN messenger neouto Linux - Newbie 8 09-05-2005 02:18 AM
Having problems accessing MSN Messenger through Kopete Hockeyfan Linux - Software 3 06-04-2005 03:42 PM
Kopete X Msn Messenger nightrider Linux - Software 10 05-30-2005 01:05 PM
Instant messenger Chat Kopete mandrake linux yahoo and MSN messenger saurya_s Linux - Software 1 11-22-2003 01:05 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 05:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration